Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Authentication
  • Builds and Deployments
  • Capabilities
  • Content Security Policy
  • Dashboard
  • Deprecated
  • Jira Integration
  • Markup
  • Mirroring (Mirror)
  • Mirroring (Upstream)
  • Permission Management
  • Project
  • Pull Requests
  • Repository
  • Security
  • System Maintenance
  • Other operations
Server
Bitbucket Data Center / Reference / REST API

Content Security Policy

Postman Collection
OpenAPI
PUT

Change CSP strictness setting

Change the Content-Security-Policy header that is returned on all Bitbucket responses between "Content-Security-Policy" and "Content-Security-Policy-Report-Only".

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

strictness

string

Responses

Setting updated

PUT/csp/latest/settings
1 2 3 4 5 6 curl --request PUT \ --url 'http://{baseurl}/rest/csp/latest/settings' \ --header 'Content-Type: application/json' \ --data '{ "strictness": "STRICT" }'

Rate this page: